> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-signal-endpoint-tokens/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # [BETA] Get all signal endpoint tokens for a specific signal endpoint. GET https://app.unleash-instance.example.com/api/admin/signal-endpoints/{signalEndpointId}/tokens **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Returns a list of all configured signal endpoint tokens for a specific signal endpoint, identified by its id. Reference: https://docs.getunleash.io/api/get-signal-endpoint-tokens ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Path parameters - `signalEndpointId` (string, required) ## Response ### 200 #/components/schemas/signalEndpointTokensSchema - `signalEndpointTokens` (list of signalEndpointTokenSchema, required) — A list of signal endpoint tokens. ## Errors ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### signalEndpointTokenSchema An object describing a signal endpoint token. - `id` (integer, required) — The signal endpoint token's ID. Signal endpoint token IDs are incrementing integers. In other words, a more recently created signal endpoint token will always have a higher ID than an older one. - `name` (string, required) — The signal endpoint token name. - `signalEndpointId` (integer, required) — The signal endpoint ID that this token belongs to. - `createdAt` (string, required) — The date and time of when the signal endpoint token was created. - `createdByUserId` (integer, required) — The ID of the user that created this signal endpoint token. - `token` (string, optional) — The token used for authentication. It is automatically generated by Unleash when the token is created and that is the only time this property is returned. ## Examples **Response** ```json { "signalEndpointTokens": [ { "id": 7, "name": "My external app #1", "signalEndpointId": 1337, "createdAt": "2023-12-27T13:37:00+01:00", "createdByUserId": 1337, "token": "signal_xyzrandomstring" } ] } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```